POST /ads/boost

Boost a published Facebook Page or Instagram post: creates campaign, ad set, creative (referencing the post, keeping its likes and comments) and ad, PAUSED unless status ACTIVE. Requires confirm: true

POST
/ads/boost

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Request Body

application/json
  1. body
accountId*string

Connected Facebook Page account id

adAccountId*string

Ad account id (act_...)

confirm*boolean

Required (true) for anything that can spend: creates (campaign, ad set, ad, boost), status ACTIVE, budget, bid, schedule or targeting changes. Without it: 400 confirmation_required, nothing is created

postId?string

Postgale post id with a published Facebook or Instagram target

platformPostId?string

Or the Meta post id (Page post id or Instagram media id)

platform?string
Value in"facebook""instagram"
instagramUserId?string

Instagram: business account id linked to the Page

name?string
goal?string
Default"engagement"
Value in"engagement""traffic""awareness""video_views""lead_generation""conversions""app_promotion"
budget*
schedule?
targeting?

Simplified targeting, mapped to Meta's targeting spec

linkUrl?string

https link (with callToAction)

callToAction?string

LEARN_MORE, SHOP_NOW, SIGN_UP, MESSAGE_PAGE, WHATSAPP_MESSAGE, ...

specialAdCategories?array<string>
status?string

PAUSED (default) or ACTIVE (only together with confirm: true)

Value in"PAUSED""ACTIVE"

Response Body

{boost, mock}

application/json
  1. response
boost?
mock?boolean
Example Request
curl -X POST 'https://example.com/api/v1/ads/boost' \  -H 'Content-Type: application/json' \  -d '{  "accountId": "string",  "adAccountId": "string",  "confirm": true,  "budget": {    "amount": 100  }}'
Example Response
{  "boost": {    "platform": "string",    "platformPostId": "string",    "status": "string",    "campaignId": "string",    "adSetId": "string",    "creativeId": "string",    "adId": "string"  },  "mock": true}